<template>
    <section class="testimonials">
        <div class="section-title" id="testimonials">Testimonials</div>
        <swiper ref="mySwiper" :options="swiperOptions">
            <swiper-slide>
                <div class="testimonial">
                    <div class="photo">
                        <img src="../../assets/img/testimonials/img1.png" alt="photo 1">
                    </div>
                    <div class="data">
                        <div class="name">Carolien Bloeme</div>
                        <div class="position">CEO</div>
                        <div class="address">Trans-Atlantic Inc., USA</div>
                        <div class="text">I was amazed at the quality of Crisis Insider. Definitely worth the
                            investment.
                        </div>
                    </div>
                </div>
            </swiper-slide>
            <swiper-slide>
                <div class="testimonial">
                    <div class="photo">
                        <img src="../../assets/img/testimonials/img2.png" alt="photo 1">
                    </div>
                    <div class="data">
                        <div class="name">Billy Gomez</div>
                        <div class="position">CEO</div>
                        <div class="address">Gomez & Sons Bakery, Netherlands</div>
                        <div class="text">It made life a lot easier, that’s for sure! One of the coolest features is
                            being able to follow along individually with the locations.
                        </div>
                    </div>
                </div>
            </swiper-slide>
            <!-- Optional controls -->
            <div class="swiper-button-prev" slot="button-prev"></div>
            <div class="swiper-button-next" slot="button-next"></div>
        </swiper>
    </section>
</template>

<script>
    import {Swiper, SwiperSlide, directive} from 'vue-awesome-swiper'
    import 'swiper/css/swiper.css'

    export default {
        name: "Testimonials",
        components: {
            Swiper,
            SwiperSlide
        },
        directives: {
            swiper: directive
        },
        data() {
            return {
                swiperOptions: {
                    slidesPerView: 'auto',
                    spaceBetween: 200,
                    centeredSlides: true,
                    loop: true,
                    grabCursor: true,
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev'
                    }
                }
            }
        },
        computed: {
            swiper() {
                return this.$refs.mySwiper.$swiper
            }
        },
        mounted() {
            console.log('Current Swiper instance object', this.swiper)
            this.swiper.slideTo(3, 1000, false)
        }
    }
</script>

<style scoped lang="scss">
    .testimonials {
        margin-top: 250px;
        padding-bottom: 100px;

        .swiper-container {
            margin-top: 40px;
            padding: 40px 0 !important;

            &:after {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                display: block;
                content: '';
                background: url("../../assets/img/backgrounds/highlight.png") center/100%;
                z-index: 2;
            }

            .swiper-button-prev, .swiper-button-next {
                &:after {
                    display: none;
                }
            }

            .swiper-button-prev {
                background: url("../../assets/img/icons/left-arrow.svg") center no-repeat;
                left: 34px;
            }

            .swiper-button-next {
                background: url("../../assets/img/icons/right-arrow.svg") center no-repeat;
                right: 34px;
            }


            .swiper-slide {
                max-width: 679px;
            }
        }

        .testimonial {
            position: relative;
            display: flex;
            width: 100%;
            max-width: 679px;
            height: 295px;

            &:before {
                position: absolute;
                top: 0;
                left: 37px;
                display: block;
                content: '';
                width: calc(100% - 37px);
                height: 100%;
                box-shadow: 0 5px 43px rgba(186, 195, 205, 0.38);
                background-color: #ffffff;
                background-image: linear-gradient(182deg, #ffffff 0%, rgba(255, 255, 255, 0) 100%);
            }

            &:after {
                position: absolute;
                top: -12px;
                right: 27px;
                display: block;
                content: url("../../assets/img/icons/quote.svg");
            }

            .photo {
                width: 163px;
                height: 163px;
                border: 5px solid #0263ff;
                background-color: rgba(141, 141, 141, 0.48);
                background-color: #0f0f0f;
                border-radius: 50%;
                overflow: hidden;
                margin-top: 34px;
                z-index: 2;

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: contain;
                    display: block;
                }
            }

            .data {
                margin: 54px 0 0 40px;
                max-width: 460px;
                z-index: 2;

                .name {
                    color: #0f0f0f;
                    font-family: $secondFont, sans-serif;
                    font-size: 27px;
                    font-weight: 700;
                    letter-spacing: 1.6px;
                    text-transform: uppercase;
                }

                .position {
                    color: #0f0f0f;
                    font-family: $secondFont, sans-serif;
                    font-size: 11px;
                    font-weight: 400;
                    letter-spacing: 3.9px;
                    text-transform: uppercase;
                    margin-top: 3px;
                }

                .address {
                    color: #0263ff;
                    font-family: $mainFont, sans-serif;
                    font-size: 14px;
                    font-weight: 700;
                    letter-spacing: 0.86px;
                    margin-top: 2px;
                }

                .text {
                    color: #4d4d65;
                    font-family: $mainFont, sans-serif;
                    font-size: 20px;
                    font-weight: 700;
                    letter-spacing: 0.6px;
                    line-height: 34px;
                    margin-top: 31px;
                }
            }
        }
    }
</style>
